com.sun.syndication.feed.synd.impl

## Class ConverterForRSS092

- java.lang.Object
- - com.sun.syndication.feed.synd.impl.ConverterForRSS090
  - - com.sun.syndication.feed.synd.impl.ConverterForRSS091Userland
    - - com.sun.syndication.feed.synd.impl.ConverterForRSS092

All Implemented Interfaces:
  Converter

Direct Known Subclasses:
  ConverterForRSS093

    public class ConverterForRSS092
    extends ConverterForRSS091Userland

### Constructor Summary

Constructors
`` `ConverterForRSS092()`
`protected` `ConverterForRSS092(java.lang.String type)`

### Method Summary

Methods
`protected java.util.List` `createEnclosures(java.util.List sEnclosures)`
`protected java.util.List` `createRSSCategories(java.util.List sCats)`
`protected Item` `createRSSItem(SyndEntry sEntry)`
`protected java.util.List` `createSyndCategories(java.util.List rssCats)`
`protected java.util.List` `createSyndEnclosures(java.util.List enclosures)`
`protected SyndEntry` `createSyndEntry(Item item, boolean preserveWireItem)`

### Methods inherited from class com.sun.syndication.feed.synd.impl.ConverterForRSS091Userland

`copyInto, createItemDescription, createRealFeed, createRSSImage, createSyndImage`

### Methods inherited from class com.sun.syndication.feed.synd.impl.ConverterForRSS090

`createRealFeed, createRSSItems, createSyndEntries, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterForRSS092

    public ConverterForRSS092()

#### ConverterForRSS092

    protected ConverterForRSS092(java.lang.String type)

### Method Detail

#### createSyndEntry

    protected SyndEntry createSyndEntry(Item item,
                            boolean preserveWireItem)

Overrides:
  `createSyndEntry` in class `ConverterForRSS091Userland`

#### createSyndCategories

    protected java.util.List createSyndCategories(java.util.List rssCats)

#### createSyndEnclosures

    protected java.util.List createSyndEnclosures(java.util.List enclosures)

#### createRSSItem

    protected Item createRSSItem(SyndEntry sEntry)

Overrides:
  `createRSSItem` in class `ConverterForRSS091Userland`

#### createRSSCategories

    protected java.util.List createRSSCategories(java.util.List sCats)

#### createEnclosures

    protected java.util.List createEnclosures(java.util.List sEnclosures)